export declare function useGetLatest<T>(val: T): () => T;
export declare function useControlledState<T>({ initial, value, onChange, }: {
    initial?: T;
    value?: T;
    onChange?: (state: T) => void;
}): [T, (state: T) => void];
export declare function generateBoundingClientRect(x?: number, y?: number): () => {
    width: number;
    height: number;
    top: number;
    right: number;
    bottom: number;
    left: number;
};
/**
 * Checks if mouseevent is triggered outside triggerRef and tooltipRef.
 * Counts with potential offset between them.
 * @param {MouseEvent} mouseEvent
 * @param {HTMLElement} triggerRef
 * @param {HTMLElement} tooltipRef - provide only when prop `interactive` is on
 */
export declare function isMouseOutside(mouseEvent: MouseEvent, triggerRef: HTMLElement, tooltipRef?: HTMLElement | false | null): boolean;
